Bug 326161 - icedtea (1.7.0) compiled code is not compatible with existing selections of gcj (1.5.0) as desired jvm
icedtea (1.7.0) compiled code is not compatible with existing selections of g...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 08:04 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.3.0-6.3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 03:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-10-10 08:04:33 EDT
Description of problem:

Everytime I try to save a document (even empty) to DocBook .xml, I get a "Write
error"

Version-Release number of selected component (if applicable):

openoffice.org-writer-2.3.0-6.1.fc8

Additional info:

I guess you will be able to reproduce it with his much information. If you need
more information, feel free to ask.
Comment 1 Caolan McNamara 2007-10-10 08:21:04 EDT
rpm -q openoffice.org-xsltfilter ?

I have no such problem with openoffice.org-xsltfilter.i386 1:2.3.0-6.1.fc8 with
saving to docbook from writer
Comment 2 Lubomir Kundrak 2007-10-10 08:59:13 EDT
openoffice.org-xsltfilter-2.3.0-6.1.fc8

"Write error" sounds like if I was short of diskspace, but I'm not and, as I
said, it even happens with empty documents. Note that the progressbar in the
bottom runs roughly to half of the screen width and I get the message just then.
Comment 3 Caolan McNamara 2007-10-10 09:11:52 EDT
Hmm, under tools->options->openoffice.org->java what jre is listed as selected ? 
Sun Microsystems or Free Software Foundation ?
Comment 4 Lubomir Kundrak 2007-10-10 09:51:10 EDT
Caloan: There was just IcedTea java listed (Sun microsystems 1.7.0), but the
radio button next to it was unchecked. When I checked it it suddenly started to
work (thanks for that tip). Until very recently, I was having only Sun Java and
GCJ installed. I do still have them now, they just don't appear in the list.
Comment 5 Caolan McNamara 2007-10-10 10:13:06 EDT
Yeah, the code is compiled now with icedtea which defaults to version 6 of the
.class format which 1.5.0 (e.g. gcj) cannot execute. But if gcj was
auto-selected in the past then it would still be listed as the java to use, even
though it cannot work with the new format class files and not even get listed. 

So we should rebuild with icedtea set to generate 1.5.0 compatible class files
so that either can be used methinks, let's give that a go for solving this
problem in general.

Note You need to log in before you can comment on or make changes to this bug.